AuthServiceRoleCommandsResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class AuthServiceRoleCommandsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.AuthServiceRoleCommandsResourceApi

-     public class AuthServiceRoleCommandsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthServiceRoleCommandsResourceApi()`
    `AuthServiceRoleCommandsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `ApiBulkCommandList` | `restartCommand(ApiRoleNameList body)` Restart a set of Authentication Service roles.
    `com.squareup.okhttp.Call` | `restartCommandAsync(ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Restart a set of Authentication Service roles.
    `com.squareup.okhttp.Call` | `restartCommandCall(ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for restartCommand
    `ApiResponse<ApiBulkCommandList>` | `restartCommandWithHttpInfo(ApiRoleNameList body)` Restart a set of Authentication Service roles.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiBulkCommandList` | `startCommand(ApiRoleNameList body)` Start a set of Authentication Service roles.
    `com.squareup.okhttp.Call` | `startCommandAsync(ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Start a set of Authentication Service roles.
    `com.squareup.okhttp.Call` | `startCommandCall(ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for startCommand
    `ApiResponse<ApiBulkCommandList>` | `startCommandWithHttpInfo(ApiRoleNameList body)` Start a set of Authentication Service roles.
    `ApiBulkCommandList` | `stopCommand(ApiRoleNameList body)` Stop a set of Authentication Service roles.
    `com.squareup.okhttp.Call` | `stopCommandAsync(ApiRoleNameList body, ApiCallback<ApiBulkCommandList> callback)` Stop a set of Authentication Service roles.
    `com.squareup.okhttp.Call` | `stopCommandCall(ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for stopCommand
    `ApiResponse<ApiBulkCommandList>` | `stopCommandWithHttpInfo(ApiRoleNameList body)` Stop a set of Authentication Service roles.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthServiceRoleCommandsResourceApi

          public AuthServiceRoleCommandsResourceApi()

    - #### AuthServiceRoleCommandsResourceApi

          public AuthServiceRoleCommandsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### restartCommandCall

          public com.squareup.okhttp.Call restartCommandCall(ApiRoleNameList body,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for restartCommand
      Parameters:
        `body` - The roles to restart. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### restartCommand

          public ApiBulkCommandList restartCommand(ApiRoleNameList body)
                                            throws ApiException

      Restart a set of Authentication Service roles. Restart a set of Authentication Service roles.
      Parameters:
        `body` - The roles to restart. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### restartCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> restartCommandWithHttpInfo(ApiRoleNameList body)
                                                                     throws ApiException

      Restart a set of Authentication Service roles. Restart a set of Authentication Service roles.
      Parameters:
        `body` - The roles to restart. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### restartCommandAsync

          public com.squareup.okhttp.Call restartCommandAsync(ApiRoleNameList body,
                                                              ApiCallback<ApiBulkCommandList> callback)
                                                       throws ApiException

      Restart a set of Authentication Service roles. (asynchronously) Restart a set of Authentication Service roles.
      Parameters:
        `body` - The roles to restart. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### startCommandCall

          public com.squareup.okhttp.Call startCommandCall(ApiRoleNameList body,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for startCommand
      Parameters:
        `body` - The roles to start. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### startCommand

          public ApiBulkCommandList startCommand(ApiRoleNameList body)
                                          throws ApiException

      Start a set of Authentication Service roles. Start a set of Authentication Service roles.
      Parameters:
        `body` - The roles to start. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> startCommandWithHttpInfo(ApiRoleNameList body)
                                                                   throws ApiException

      Start a set of Authentication Service roles. Start a set of Authentication Service roles.
      Parameters:
        `body` - The roles to start. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### startCommandAsync

          public com.squareup.okhttp.Call startCommandAsync(ApiRoleNameList body,
                                                            ApiCallback<ApiBulkCommandList> callback)
                                                     throws ApiException

      Start a set of Authentication Service roles. (asynchronously) Start a set of Authentication Service roles.
      Parameters:
        `body` - The roles to start. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### stopCommandCall

          public com.squareup.okhttp.Call stopCommandCall(ApiRoleNameList body,
                                                          ProgressResponseBody.ProgressListener progressListener,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build call for stopCommand
      Parameters:
        `body` - The roles to stop. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### stopCommand

          public ApiBulkCommandList stopCommand(ApiRoleNameList body)
                                         throws ApiException

      Stop a set of Authentication Service roles. Stop a set of Authentication Service roles.
      Parameters:
        `body` - The roles to stop. (optional)
      Returns:
        ApiBulkCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### stopCommandWithHttpInfo

          public ApiResponse<ApiBulkCommandList> stopCommandWithHttpInfo(ApiRoleNameList body)
                                                                  throws ApiException

      Stop a set of Authentication Service roles. Stop a set of Authentication Service roles.
      Parameters:
        `body` - The roles to stop. (optional)
      Returns:
        ApiResponse<ApiBulkCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### stopCommandAsync

          public com.squareup.okhttp.Call stopCommandAsync(ApiRoleNameList body,
                                                           ApiCallback<ApiBulkCommandList> callback)
                                                    throws ApiException

      Stop a set of Authentication Service roles. (asynchronously) Stop a set of Authentication Service roles.
      Parameters:
        `body` - The roles to stop. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.